import { Location } from '@angular/common';
import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ApplicationService } from '../../../application.service';
import { Logger } from '../../../logger/logger';
import { BreadCrumbData } from '../../../models/breadcrumb/breadcrumb.interface';
import { StartupService } from '../../../startup.service';
export declare class VitamuiTitleBreadcrumbComponent implements OnInit {
    location: Location;
    private applicationService;
    private router;
    private startupService;
    private logger;
    data?: BreadCrumbData[];
    constructor(location: Location, applicationService: ApplicationService, router: Router, startupService: StartupService, logger: Logger);
    ngOnInit(): void;
    redirectTo(identifier: string): void;
}
