import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { ElementRef, OnDestroy, OnInit } from '@angular/core';
export declare class CommonTooltipDirective implements OnInit, OnDestroy {
    private overlay;
    private overlayPositionBuilder;
    private elementRef;
    text: string;
    type: string;
    outline: boolean;
    private overlayRef;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    show(): void;
    hide(): void;
    private buildPosition;
}
