import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { CustomerSelectionService } from '../../customer-selection.service';
import { MenuOption } from '../navbar';
import { CustomerMenuService } from '../navbar/customer-menu/customer-menu.service';
export declare class CustomerSelectContentComponent implements OnInit, OnDestroy {
    private router;
    private route;
    private customerMenuService;
    private customerSelectionService;
    customers: MenuOption[];
    isModalMenu: boolean;
    customerSelected: EventEmitter<string>;
    constructor(router: Router, route: ActivatedRoute, customerMenuService: CustomerMenuService, customerSelectionService: CustomerSelectionService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    selectCustomerId(customerId: string): void;
}
