import { Observable } from 'rxjs';
import { User } from './../../../models/user/user.interface';
import { UserApiService } from '../../../api/user-api.service';
import { ApplicationId } from '../../../application-id.enum';
import { AuthService } from '../../../auth.service';
import { Tenant } from '../../../models';
export declare class TenantMenuService {
    private authService;
    private userApiService;
    private _tenants;
    activeTenantIdentifier: number;
    private selectedTenantSubject;
    constructor(authService: AuthService, userApiService: UserApiService);
    set appId(appId: ApplicationId);
    get tenants(): Tenant[];
    get activeTenant(): Tenant;
    setDefaultTenant(tenantIdentifier: number): Observable<User>;
    sendSelectedTenant(tenantIdentifier: number): void;
    getSelectedTenant(): Observable<number>;
}
