import { AfterContentChecked, AfterContentInit, OnInit, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RoleComponent } from './role.component';
export declare const ROLE_TOGGLE_VALUE_ACCESSOR: any;
export declare class RoleToggleComponent implements OnInit, ControlValueAccessor, AfterContentChecked, AfterContentInit {
    roleComponents: QueryList<RoleComponent>;
    onChange: (_: any) => void;
    onTouched: () => void;
    private roles;
    ngAfterContentInit(): void;
    ngAfterContentChecked(): void;
    writeValue(roles: Array<{
        name: string;
        value: boolean;
    }>): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    constructor();
    ngOnInit(): void;
}
