import { Id } from '../id.interface';
import { Category } from './category.interface';
export interface Application extends Id {
    identifier: string;
    name: string;
    url: string;
    icon: string;
    category: string;
    position: number;
    tooltip: string;
    hasHighlight: boolean;
    hasCustomerList: boolean;
    hasTenantList: boolean;
    target: string;
}
export interface ApplicationInfo {
    APPLICATION_CONFIGURATION: Application[];
    CATEGORY_CONFIGURATION: Category[];
}
